# Run dashboard chart

Requests to run the specified chart. Acceptance of a request does not mean chart results have been generated.

```text
POST $CLOUDSIGMA_API_BASE/data-dashboards/{dashboard_id}/charts/{chart_id}/run
```

## Before you call this API

Configure the [regional API endpoint and authentication](https://omnifabric.cloudsigma.com/docs/developer/endpoints-and-authentication.html.md), and select the target workspace.

Set the operation-specific values used in the request:

- `$DASHBOARD_ID`: `dashboard_id` to use, specifying the target resource via the request path.
- `$CHART_ID`: `chart_id` to use, specifying the target resource through the request path.

## Call example

```bash
curl -X POST "$CLOUDSIGMA_API_BASE/data-dashboards/$DASHBOARD_ID/charts/$CHART_ID/run" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Path parameters

| Parameters | Type | Is it required | Description |
| --- | --- | --- | --- |
| `dashboard_id` | string | Yes | Data dashboard ID. |
| `chart_id` | string | Yes | Chart ID. |
## Successful response

When the request is successful, the data of this operation is returned. Just because the write or run request has been accepted does not mean that the subsequent processing has been completed; please confirm the result based on the return status or subsequent query.

```json
{
  "code": 202,
  "data": {"chart_id": "chart-001", "execution_id": "exec-001", "status": "submitted"}
}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.chart_id` | string | Chart ID. |
| `data.execution_id` | string | Chart run ID. |
| `data.status` | string | Running status. |

## Error response

::::{div} mo-api-split
:::{div} mo-api-split-main
<dl class="mo-api-fields">
<div class="mo-api-field"><dt><code>code</code><span class="mo-api-field__type">integer or string</span></dt><dd>Error code or status.</dd></div>
<div class="mo-api-field"><dt><code>message</code><span class="mo-api-field__type">string</span></dt><dd>Error message.</dd></div>
</dl>
:::
:::{div} mo-api-split-aside
<p class="mo-api-example-label">Error response example</p>
```json
{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
```
:::
::::
## Follow-up operations

Use the same identifier [query chart results](https://omnifabric.cloudsigma.com/docs/reference/api/ai-studio/data-processing/data-dashboards/get-data-dashboard-chart-result.html.md).
